Summary: dnews NNTP news server
Name: dnews
Version: 5.5d1
Release: 1
Copyright: commercial
Vendor: NetWin LTD
URL: http://www.netwinsite.com
ExclusiveArch: i386
Group: Networking/News
Source0: ftp://ftp.netwinsite.com/pub/netwinsite/dnews/dnews55d1_linuxlibc6.tar.Z
Source1: dnews.logrotate
Patch: dnews-redhat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
DNEWS is a fast, efficient, low management, dynamic NNTP news server system.
It is not a news reader but rather it is the server which a news reader
reads news from.
You may try this software for 4 weeks at no charge. After that period you
MUST register your copy or stop using it.
If you are a University or School using this software for a NON PROFIT
purpose then you can register for free.

%package -n dnewsweb
Summary: dnewsweb is a dnews based web to news gateway.
Group: Networking/News

%description -n dnewsweb
dnewsweb is a dnews based web to news gateway, it lets you merge your web pages and your news groups.

%changelog
* Mon Oct 01 2001 Peter Soos <sp@osb.hu>
- Moved to 5.5d1

* Thu May 03 2001 Peter Soos <sp@osb.hu>
- rebuilt under RedHat Linux 7.1

* Sat Apr 14 2001 Peter Soos <sp@osb.hu>
- Rebuild for RedHat Linux 7.0
- Moved to 5.5b5

* Tue Oct 2 2000 Peter Soos <sp@osb.hu>
- Moved to 5.4f9

* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes

* Fri Oct 31 1998 Peter Soos <sp@osb.hu>
- Moved to glibc based 4.7f.
- Split dnewsweb to separate package.

* Wed Jul 1 1998 Peter Soos <sp@osb.hu>
- Really moved to 4.6j. Sorry.

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>
- Moved to version 4.6j.
- Using %attr.

* Wed Dec 23 1997 Peter Soos <sp@osb.hu>
- Moved to version 4.5n.

* Fri Dec 6 1997 Peter Soos <sp@osb.hu>
- Modified for RedHat Linux 5.0.
- Using BuildRoot for package building.

%prep
%setup -n dtemp
%patch -b .sp

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/dnews
mkdir -p $RPM_BUILD_ROOT/var/www/cgi-bin
mkdir -p $RPM_BUILD_ROOT/var/www/html/dnews
mkdir -p $RPM_BUILD_ROOT/etc/dnews
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/spool/dnews
mkdir -p $RPM_BUILD_ROOT/var/log/dnews
install -m 755 dnews dnews_start dmulti xmit $RPM_BUILD_ROOT%{_libdir}/dnews
install -m 755 dposter drobot $RPM_BUILD_ROOT%{_libdir}/dnews
install -m 755 tellnews $RPM_BUILD_ROOT%{_bindir}
install -m 664 dnews.conf $RPM_BUILD_ROOT/etc
install -m 660 access.conf control.conf $RPM_BUILD_ROOT/etc/dnews
install -m 660 expire.conf fts.conf moderators.conf $RPM_BUILD_ROOT/etc/dnews
install -m 660 newsfeeds.conf $RPM_BUILD_ROOT/etc/dnews
install -m 660 nocached.body nocached.head $RPM_BUILD_ROOT/etc/dnews
ln -sf ../../../etc/dnews/access.conf $RPM_BUILD_ROOT%{_libdir}/dnews
ln -sf ../../../etc/dnews/control.conf $RPM_BUILD_ROOT%{_libdir}/dnews
ln -sf ../../../etc/dnews/expire.conf $RPM_BUILD_ROOT%{_libdir}/dnews
ln -sf ../../../etc/dnews/fts.conf $RPM_BUILD_ROOT%{_libdir}/dnews
ln -sf ../../../etc/dnews/moderators.conf $RPM_BUILD_ROOT%{_libdir}/dnews
ln -sf ../../../etc/dnews/newsfeeds.conf $RPM_BUILD_ROOT%{_libdir}/dnews
ln -sf ../../../etc/dnews/nocached.body $RPM_BUILD_ROOT%{_libdir}/dnews
ln -sf ../../../etc/dnews/nocached.head $RPM_BUILD_ROOT%{_libdir}/dnews
install -m 755 dnews.init $RPM_BUILD_ROOT/etc/init.d/dnews
install -m 755 dnewsweb gupcgi $RPM_BUILD_ROOT/var/www/cgi-bin
install -m 664 dnewsweb.ini setfeed.ini $RPM_BUILD_ROOT/var/www/cgi-bin
install -m 664 *.htm *.tpl $RPM_BUILD_ROOT/var/www/html/dnews
install -m 664 $RPM_SOURCE_DIR/dnews.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/dnews

%post
/sbin/chkconfig --add dnews

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del dnews
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc install.txt license.txt manual.txt dposter.1 drobot.1 xmit.1
%attr(2770, news, news) %dir /var/spool/dnews
%attr(2770, news, news) %dir /var/log/dnews
%attr(2770, root, news) %dir /etc/dnews
%attr(0664, root, news) %config /etc/dnews.conf
%attr(0664, root, news) %config /etc/dnews/*
%attr(-, root, root) %{_libdir}/dnews
%attr(0755, root, root) %{_bindir}/tellnews
%attr(0755, root, root) /etc/init.d/dnews
%attr(0755, root, root) /etc/logrotate.d/dnews

%files -n dnewsweb
%defattr(0644, root, root, 0755)
%doc dnewsweb.txt
%attr(0664, root, news) %config /var/www/cgi-bin/dnewsweb.ini
%attr(0664, root, news) %config /var/www/cgi-bin/setfeed.ini
%attr(0755, root, root) /var/www/cgi-bin/dnewsweb
%attr(0755, root, root) /var/www/cgi-bin/gupcgi
%dir /var/www/html/dnews
%attr(0664, root, news) /var/www/html/dnews/*
